## ros-humble-moveit-configs-utils 2.5.5

=== debian/changelog ===
ros-humble-moveit-configs-utils (2.5.5-1jammy) jammy; urgency=high

  * Do not add Pilz parameters to MoveIt Configs Utils if Pilz is not used (#1583 <https://github.com/ros-planning/moveit2/issues/1583>) (#2174 <https://github.com/ros-planning/moveit2/issues/2174>)
    (cherry picked from commit 1c7fa52edeef08bf8eb1e9cc73c1b0835aaf17e7)
    Co-authored-by: Stephanie Eng <mailto:stephanie-eng@users.noreply.github.com>
  * Update default planning configs to use AddTimeOptimalParameterization (#2167 <https://github.com/ros-planning/moveit2/issues/2167>) (#2170 <https://github.com/ros-planning/moveit2/issues/2170>)
    (cherry picked from commit 895e9268bd5d9337bebdede07a7f68a99055a1df)
    Co-authored-by: Anthony Baker <mailto:abake48@users.noreply.github.com>
  * Add xacro subsititution class and use it for loading urdf & srdf (backport #1805 <https://github.com/ros-planning/moveit2/issues/1805>) (#1937 <https://github.com/ros-planning/moveit2/issues/1937>)
    * Add xacro subsititution class and use it for loading urdf & srdf (#1805 <https://github.com/ros-planning/moveit2/issues/1805>)
    * Add Xacro substitution type
    * Use Xacro substitution for robot description and robot description semantic
    * Install subsititution folder
    * Default to load_xacro if there's no launch substitution specified in the mappings
    (cherry picked from commit 4bc83c3c9e6bfa9efea8c431794a630fbf27dddc)
    # Conflicts:
    #     moveit_configs_utils/moveit_configs_utils/moveit_configs_builder.py
    * Fix merge conflicts
    ---------
    Co-authored-by: Jafar <mailto:cafer.abdi@gmail.com>
    Co-authored-by: Tyler Weaver <mailto:tyler@picknik.ai>
  * Add support for multiple MoveItConfigBuilder instaces (#1807 <https://github.com/ros-planning/moveit2/issues/1807>) (#1808 <https://github.com/ros-planning/moveit2/issues/1808>)
    (cherry picked from commit 25d086cee9a7cf1c95a15ea12a27e5b7cbe50a1f)
    Co-authored-by: Marco Magri <mailto:94347649+MarcoMagriDev@users.noreply.github.com>
  * Contributors: mergify[bot]

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sat, 09 Sep 2023 22:00:00 -0000

ros-humble-moveit-configs-utils (2.5.4-1jammy) jammy; urgency=high

  * Use MoveItConfigsBuilder in Pilz test launch file (#1571 <https://github.com/ros-planning/moveit2/issues/1571>) (#1662 <https://github.com/ros-planning/moveit2/issues/1662>)
    (cherry picked from commit 5e880bacaad780f511ed99847050216a8b9905c1)
    Co-authored-by: Abishalini Sivaraman <mailto:abi.gpuram@gmail.com>
  * Only require Cartesian limits if Pilz is used (#1519 <https://github.com/ros-planning/moveit2/issues/1519>) (#1653 <https://github.com/ros-planning/moveit2/issues/1653>)
    (cherry picked from commit 40f7f091cc77a683f3c0a4af64f6a463dd0846f1)
    Co-authored-by: Stephanie Eng <mailto:stephanie-eng@users.noreply.github.com>
  * Typo fix (#1518 <https://github.com/ros-planning/moveit2/issues/1518>) (#1650 <https://github.com/ros-planning/moveit2/issues/1650>)
    (cherry picked from commit e89526de24d88fb05eb646a7925de69ba480bfe8)
    Co-authored-by: Stephanie Eng <mailto:stephanie-eng@users.noreply.github.com>
  * Contributors: mergify[bot]

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Thu, 03 Nov 2022 23:00:00 -0000

ros-humble-moveit-configs-utils (2.5.3-1jammy) jammy; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Wed, 27 Jul 2022 22:00:00 -0000

ros-humble-moveit-configs-utils (2.5.2-1jammy) jammy; urgency=high

  * Rename cartesian_limits.yaml (#1422 <https://github.com/ros-planning/moveit2/issues/1422>)
    Co-authored-by: Tyler Weaver <mailto:maybe@tylerjw.dev>
  * Merge pull request #1402 <https://github.com/ros-planning/moveit2/issues/1402> from Abishalini/pr-sync-a436a97
    Sync with MoveIt
  * Merge https://github.com/ros-planning/moveit/commit/a436a9771f7445c162cc3090c4c7c57bdb5bf194
  * load sensors_3d.yaml (#1387 <https://github.com/ros-planning/moveit2/issues/1387>)
  * Merge pull request #1254 <https://github.com/ros-planning/moveit2/issues/1254> from ros-planning/feature/msa
    MoveIt Setup Assistant - Merge the Feature branch
  * [MSA] ros2_control Integration (#1299 <https://github.com/ros-planning/moveit2/issues/1299>)
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
  * [MSA] Workaround to launch files without controllers (#1275 <https://github.com/ros-planning/moveit2/issues/1275>)
    Co-authored-by: Jafar <mailto:jafar.uruc@gmail.com>
  * Fix moveit_configs_utils parameter ordering (#1315 <https://github.com/ros-planning/moveit2/issues/1315>)
  * Remove TrajOpt Default Parameters (#1332 <https://github.com/ros-planning/moveit2/issues/1332>)
    Co-authored-by: AndyZe <mailto:zelenak@picknik.ai>
  * Decorate MoveItConfigs with dataclaass (#1308 <https://github.com/ros-planning/moveit2/issues/1308>)
  * moveit_config_utils: Change default rviz config file location (#1316 <https://github.com/ros-planning/moveit2/issues/1316>)
  * Contributors: Abishalini, AndyZe, David V. Lu!!, Jafar, Michael Ferguson, Tyler Weaver, Vatan Aksoy Tezer

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sun, 17 Jul 2022 22:00:00 -0000

ros-humble-moveit-configs-utils (2.5.1-1jammy) jammy; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 30 May 2022 22:00:00 -0000

ros-humble-moveit-configs-utils (2.5.0-1jammy) jammy; urgency=high

  * Add options to config for publishing description (#1265 <https://github.com/ros-planning/moveit2/issues/1265>)
  * Flexibility in moveit_configs_utils reading of .setup_assistant (#1264 <https://github.com/ros-planning/moveit2/issues/1264>)
  * Alternate Package Name Specification (#1244 <https://github.com/ros-planning/moveit2/issues/1244>)
  * Change condition for loading default OMPL config (#1222 <https://github.com/ros-planning/moveit2/issues/1222>)
  * Demo launch for moveit_configs_utils (#1189 <https://github.com/ros-planning/moveit2/issues/1189>)

