## ros-humble-moveit-configs-utils 2.5.8

=== debian/changelog ===
ros-humble-moveit-configs-utils (2.5.8-1jammy) jammy; urgency=high

  * Switch to get for Dict lookup to prevent KeyError (#3043 <https://github.com/ros-planning/moveit2/issues/3043>) (#3193 <https://github.com/ros-planning/moveit2/issues/3193>)
  * Contributors: Brendan Burns, mergify[bot]

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sun, 09 Feb 2025 05:00:00 -0000

ros-humble-moveit-configs-utils (2.5.7-1jammy) jammy; urgency=high

  * Added joint limits to rviz launch file. (#3091 <https://github.com/ros-planning/moveit2/issues/3091>) (#3136 <https://github.com/ros-planning/moveit2/issues/3136>)
  * Contributors: Matthew Elwin

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sun, 29 Dec 2024 05:00:00 -0000

ros-humble-moveit-configs-utils (2.5.6-1jammy) jammy; urgency=high

  * fix move_group_capabilities usage (#3018 <https://github.com/ros-planning/moveit2/issues/3018>) (#3033 <https://github.com/ros-planning/moveit2/issues/3033>)
  * Backport of #2172 <https://github.com/ros-planning/moveit2/issues/2172> and #2684 <https://github.com/ros-planning/moveit2/issues/2684> into Humble (#2779 <https://github.com/ros-planning/moveit2/issues/2779>)
  * Use different packages for launch and config packages in generate_demo_launch (backport #2647 <https://github.com/ros-planning/moveit2/issues/2647>) (#2650 <https://github.com/ros-planning/moveit2/issues/2650>)
  * Pass along move_group_capabilities parameters (#2587 <https://github.com/ros-planning/moveit2/issues/2587>) (#2696 <https://github.com/ros-planning/moveit2/issues/2696>)
  * Use $DISPLAY rather than assuming :0 (#2049 <https://github.com/ros-planning/moveit2/issues/2049>) (#2365 <https://github.com/ros-planning/moveit2/issues/2365>)
  * Contributors: Michael Ferguson, Anthony Baker, Alex Navarro, Forrest Rogers-Marcovitz, Stephanie Eng, mergify[bot]

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sun, 17 Nov 2024 05:00:00 -0000
